Follow

Unable to Install Unity Web Player?

If you're having trouble installing the Unity Web Player browser plugin, please be sure your computer meets the following minimum requirements:

Windows

Internet browser requirements:

Internet Explorer, Firefox, Chrome, Safari, Opera

System requirements:

Windows XP, Vista, or 7

 

Apple 

Internet browser requirements:

Safari, Firefox, Chrome

System requirements:

Mac OS X 10.5 or newer

 

If your computer meets the requirements above, please download Unity Web Player automatically from Dragons and Titans or from the Unity3D website at http://unity3d.com/webplayer/.

 

If your system does not meet the requirements above, you are unforunately unable to download and install the Unity Web Player plugin at this time. Please check the system requirements in the future to see if you system becomes supported at http://unity3d.com/webplayer/ 

 

Still need help? Our support staff is happy to assist! Please submit a support request here.

0 Comments

Article is closed for comments.
Powered by Zendesk